#version 300 es
layout(location = 0) in vec4 iPosition;
layout(location = 1) in vec2 iTexCoord;
layout(location = 2) in vec4 iMatrixLine1;
layout(location = 3) in vec4 iMatrixLine2;
layout(location = 4) in vec4 iMatrixLine3;
layout(location = 5) in vec4 iMatrixLine4;
out vec2 vTexCoord;
uniform mat4 uMVPMatrix;

void main()
{
    mat4 matrix = mat4(iMatrixLine1, iMatrixLine2, iMatrixLine3, iMatrixLine4);
    gl_Position = (uMVPMatrix * matrix) * iPosition;

    vTexCoord = iTexCoord;
}
