#version 300 es
precision highp int;
precision highp float;
in vec4 vColorOrTexCoord;
layout(location = 0) out vec4 fColor;
uniform sampler2D uColorTexture;

//绘制模式 0-颜色 1-纹理
uniform int uMode;

//透明度
uniform float uAlpha;

void main()
{
    if(uMode == 0)
    {
        fColor = vColorOrTexCoord;
        fColor[3] *= uAlpha;
    }
    else if(uMode == 1)
    {
        fColor = texture(uColorTexture, vec2(vColorOrTexCoord));
        fColor[3] *= uAlpha;
    }
}
