#version 300 es
precision highp int;
precision highp float;
in vec4 vColor;
layout(location = 0) out vec4 fColor;

//透明度
uniform float uAlpha;

//闪光
uniform int uMaxFlashDelay;
uniform int uFlashDelay;
//uniform float uFlashRed;
//uniform float uFlashGreen;
//uniform float uFlashBlue;
uniform vec3 uFlashColor;

void main()
{
    //渲染形状
//    fColor = vColor;

//    int inFlashing = sign(uFlashDelay);
//    int notInFlashing = 1 - inFlashing;
//    vec4 flashColor = vec4(uFlashRed, uFlashGreen, uFlashBlue, vColor[3]);
    fColor = mix(vColor, vec4(uFlashColor, vColor[3]), vec4(float(uFlashDelay) / float(uMaxFlashDelay)));
    fColor[3] *= uAlpha;
}
