#version 300 es
precision highp int;
precision highp float;
in vec2 vTexCoord;
layout(location = 0) out vec4 fColor;

//透明度
uniform float uAlpha;

uniform sampler2D uColorTexture;

void main()
{
    vec4 texColor = texture(uColorTexture, vTexCoord);
    fColor = texColor * vec4(1.0, 1.0, 1.0, uAlpha);
}
