#version 300 es
layout(location = 0) in vec4 iPosition;
layout(location = 1) in vec4 iColorOrTexCoord;
out vec4 vPosition;

out vec4 vColorOrTexCoord;
uniform int uMode;

uniform mat4 uMVPMatrix;
uniform mat4 uMMatrix;
void main()
{
    gl_Position = uMVPMatrix * iPosition;
    
    vPosition = uMMatrix * iPosition;
    vPosition[1] = vPosition[1] * -1.0f;
    vColorOrTexCoord = iColorOrTexCoord;
}
