#version 330
precision highp int;
precision highp float;
in vec2 vTexCoord;
layout(location = 0) out vec4 fColor;

uniform sampler2D uColorTexture;

//闪光
uniform int uMaxFlashDelay;
uniform int uFlashDelay;
uniform vec3 uFlashColor;

void main()
{
    vec4 texColor = texture(uColorTexture, vTexCoord);
    fColor = mix(texColor, vec4(uFlashColor, texColor[3]), vec4(float(uFlashDelay) / float(uMaxFlashDelay)));
}
